Skip to content
Permalink
master
Switch branches/tags
Go to file
67 contributors

Users who have contributed to this file

@renovate-bot @hansl @filipesilva @clydin @Brocco @IgorMinar @rodyhaddad @kyliau @dgp1130 @josephperrott @alexeagle @jeffbcross
{
"name": "@angular/devkit-repo",
"version": "12.1.0-next.6",
"private": true,
"description": "Software Development Kit for Angular",
"bin": {
"architect": "./bin/architect",
"benchmark": "./bin/benchmark",
"build-optimizer": "./bin/build-optimizer",
"devkit-admin": "./bin/devkit-admin",
"ng": "./bin/ng",
"schematics": "./bin/schematics"
},
"keywords": [
"angular",
"Angular CLI",
"devkit",
"sdk",
"Angular DevKit"
],
"scripts": {
"admin": "node ./bin/devkit-admin",
"bazel:test": "bazel test //packages/... //goldens/public-api/... ",
"build": "node ./bin/devkit-admin build",
"build-tsc": "tsc -p tsconfig.json",
"debug:test": "node --inspect-brk ./bin/devkit-admin test",
"debug:test-large": "node --inspect-brk ./bin/devkit-admin test --large --spec-reporter",
"lint": "eslint --cache --max-warnings=0 \"**/*.ts\"",
"templates": "node ./bin/devkit-admin templates",
"validate": "node ./bin/devkit-admin validate",
"postinstall": "yarn webdriver-update && yarn ngcc && yarn husky install",
"//webdriver-update-README": "ChromeDriver version must match Puppeteer Chromium version, see https://github.com/GoogleChrome/puppeteer/releases http://chromedriver.chromium.org/downloads",
"webdriver-update": "webdriver-manager update --standalone false --gecko false --versions.chrome 91.0.4472.19",
"ngcc": "ngcc --properties es2015 browser module main --first-only --create-ivy-entry-points",
"ts-circular-deps:check": "ng-dev ts-circular-deps check --config ./packages/circular-deps-test.conf.js",
"ts-circular-deps:approve": "ng-dev ts-circular-deps approve --config ./packages/circular-deps-test.conf.js"
},
"repository": {
"type": "git",
"url": "https://github.com/angular/angular-cli.git"
},
"engines": {
"node": "^12.14.1 || ^14.0.0",
"yarn": ">=1.21.1 <2",
"npm": "Please use yarn instead of NPM to install dependencies"
},
"author": "Angular Authors",
"license": "MIT",
"bugs": {
"url": "https://github.com/angular/angular-cli/issues"
},
"homepage": "https://github.com/angular/angular-cli",
"workspaces": {
"packages": [
"packages/angular/*",
"packages/angular_devkit/*",
"packages/ngtools/*",
"packages/schematics/*"
],
"nohoist": [
"@angular/compiler-cli"
]
},
"resolutions": {
"**/@types/copy-webpack-plugin/webpack": "5.39.1",
"ajv-formats/ajv": "8.6.0"
},
"devDependencies": {
"@angular/animations": "12.1.0-next.6",
"@angular/cdk": "12.1.0-rc.0",
"@angular/common": "12.1.0-next.6",
"@angular/compiler": "12.1.0-next.6",
"@angular/compiler-cli": "12.1.0-next.6",
"@angular/core": "12.1.0-next.6",
"@angular/dev-infra-private": "https://github.com/angular/dev-infra-private-builds.git#a1442a839401cb9a09285fbf1cd925cf51390ca3",
"@angular/forms": "12.1.0-next.6",
"@angular/localize": "12.1.0-next.6",
"@angular/material": "12.1.0-rc.0",
"@angular/platform-browser": "12.1.0-next.6",
"@angular/platform-browser-dynamic": "12.1.0-next.6",
"@angular/platform-server": "12.1.0-next.6",
"@angular/router": "12.1.0-next.6",
"@angular/service-worker": "12.1.0-next.6",
"@babel/core": "7.14.6",
"@babel/generator": "7.14.5",
"@babel/helper-annotate-as-pure": "7.14.5",
"@babel/plugin-transform-runtime": "7.14.5",
"@babel/preset-env": "7.14.5",
"@babel/runtime": "7.14.6",
"@babel/template": "7.14.5",
"@bazel/bazelisk": "1.9.0",
"@bazel/buildifier": "4.0.1",
"@bazel/jasmine": "3.6.0",
"@bazel/typescript": "3.6.0",
"@discoveryjs/json-ext": "0.5.3",
"@jsdevtools/coverage-istanbul-loader": "3.0.5",
"@types/babel__core": "7.1.14",
"@types/babel__template": "7.4.0",
"@types/cacache": "^15.0.0",
"@types/caniuse-lite": "^1.0.0",
"@types/copy-webpack-plugin": "^8.0.0",
"@types/debug": "^4.1.2",
"@types/express": "^4.16.0",
"@types/find-cache-dir": "^3.0.0",
"@types/glob": "^7.1.1",
"@types/http-proxy": "^1.17.4",
"@types/inquirer": "^7.3.0",
"@types/jasmine": "~3.7.0",
"@types/karma": "^6.3.0",
"@types/loader-utils": "^2.0.0",
"@types/minimatch": "3.0.4",
"@types/minimist": "^1.2.0",
"@types/node": "~12.12.6",
"@types/node-fetch": "^2.1.6",
"@types/npm-package-arg": "^6.1.0",
"@types/parse5-html-rewriting-stream": "^5.1.2",
"@types/pidusage": "^2.0.1",
"@types/postcss-preset-env": "^6.7.1",
"@types/progress": "^2.0.3",
"@types/resolve": "^1.17.1",
"@types/sass": "^1.16.0",
"@types/semver": "^7.0.0",
"@types/text-table": "^0.2.1",
"@types/uuid": "^8.0.0",
"@types/webpack-dev-server": "^3.1.7",
"@typescript-eslint/eslint-plugin": "4.27.0",
"@typescript-eslint/parser": "4.27.0",
"@yarnpkg/lockfile": "1.1.0",
"ajv": "8.6.0",
"ajv-formats": "2.1.0",
"ansi-colors": "4.1.1",
"babel-loader": "8.2.2",
"bootstrap": "^4.0.0",
"browserslist": "^4.9.1",
"cacache": "15.2.0",
"caniuse-lite": "^1.0.30001032",
"circular-dependency-plugin": "5.2.2",
"codelyzer": "^6.0.0",
"common-tags": "^1.8.0",
"conventional-changelog": "^3.0.0",
"conventional-commits-parser": "^3.0.0",
"copy-webpack-plugin": "9.0.0",
"core-js": "3.15.0",
"critters": "0.0.10",
"css-loader": "5.2.6",
"css-minimizer-webpack-plugin": "3.0.1",
"debug": "^4.1.1",
"enhanced-resolve": "5.8.2",
"eslint": "7.29.0",
"eslint-config-prettier": "8.3.0",
"eslint-plugin-header": "3.1.1",
"eslint-plugin-import": "2.22.1",
"express": "4.17.1",
"fast-json-stable-stringify": "2.1.0",
"find-cache-dir": "3.3.1",
"font-awesome": "^4.7.0",
"gh-got": "^9.0.0",
"git-raw-commits": "^2.0.0",
"glob": "7.1.7",
"http-proxy": "^1.18.1",
"https-proxy-agent": "5.0.0",
"husky": "6.0.0",
"inquirer": "8.1.1",
"jasmine": "^3.3.1",
"jasmine-core": "~3.7.0",
"jasmine-spec-reporter": "~7.0.0",
"jest-worker": "27.0.2",
"jquery": "^3.3.1",
"jsonc-parser": "3.0.0",
"karma": "~6.3.0",
"karma-chrome-launcher": "~3.1.0",
"karma-coverage": "~2.0.3",
"karma-jasmine": "~4.0.0",
"karma-jasmine-html-reporter": "^1.5.0",
"karma-source-map-support": "1.4.0",
"less": "4.1.1",
"less-loader": "10.0.0",
"license-checker": "^25.0.0",
"license-webpack-plugin": "2.3.19",
"loader-utils": "2.0.0",
"magic-string": "0.25.7",
"mini-css-extract-plugin": "1.6.0",
"minimatch": "3.0.4",
"minimist": "^1.2.0",
"ng-packagr": "~12.0.0-next.0",
"node-fetch": "^2.2.0",
"npm-registry-client": "8.6.0",
"open": "8.2.1",
"ora": "5.4.1",
"pacote": "11.3.4",
"parse5-html-rewriting-stream": "6.0.1",
"pidtree": "^0.5.0",
"pidusage": "^2.0.17",
"popper.js": "^1.14.1",
"postcss": "8.3.5",
"postcss-import": "14.0.2",
"postcss-loader": "6.1.0",
"postcss-preset-env": "6.7.0",
"prettier": "^2.0.0",
"protractor": "~7.0.0",
"puppeteer": "10.0.0",
"quicktype-core": "6.0.69",
"raw-loader": "4.0.2",
"regenerator-runtime": "0.13.7",
"resolve-url-loader": "4.0.0",
"rxjs": "6.6.7",
"sass": "1.35.1",
"sass-loader": "12.1.0",
"sauce-connect-proxy": "https://saucelabs.com/downloads/sc-4.6.4-linux.tar.gz",
"semver": "7.3.5",
"source-map": "0.7.3",
"source-map-loader": "3.0.0",
"source-map-support": "0.5.19",
"spdx-satisfies": "^5.0.0",
"style-loader": "2.0.0",
"stylus": "0.54.8",
"stylus-loader": "6.1.0",
"symbol-observable": "4.0.0",
"tar": "^6.0.0",
"temp": "^0.9.0",
"terser": "5.7.0",
"terser-webpack-plugin": "5.1.3",
"text-table": "0.2.0",
"through2": "^4.0.0",
"tree-kill": "1.2.2",
"ts-api-guardian": "0.6.0",
"ts-node": "^10.0.0",
"tslib": "2.3.0",
"tslint": "^6.1.3",
"typescript": "4.3.4",
"verdaccio": "5.1.1",
"verdaccio-auth-memory": "^10.0.0",
"webpack": "5.39.1",
"webpack-dev-middleware": "5.0.0",
"webpack-dev-server": "3.11.2",
"webpack-merge": "5.8.0",
"webpack-subresource-integrity": "1.5.2",
"zone.js": "^0.11.3"
}
}